package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class WeComUser {
    private Long id;

    private Long corpId;

    private String externalUserId;

    private String unionId;

    private String externalUserId3rdParty;

    private Integer type;

    private String name;

    private String avatar;

    private Integer gender;

    private Integer isDelete;

    private Byte groupMsgDisabled;

    private Long createdAt;

    private Long updatedAt;

    private Long deletedAt;

    private String abtype;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public String getExternalUserId() {
        return externalUserId;
    }

    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    public String getExternalUserId3rdParty() {
        return externalUserId3rdParty;
    }

    public void setExternalUserId3rdParty(String externalUserId3rdParty) {
        this.externalUserId3rdParty = externalUserId3rdParty;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Byte getGroupMsgDisabled() {
        return groupMsgDisabled;
    }

    public void setGroupMsgDisabled(Byte groupMsgDisabled) {
        this.groupMsgDisabled = groupMsgDisabled;
    }

    public Long getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Long createdAt) {
        this.createdAt = createdAt;
    }

    public Long getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Long updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Long getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Long deletedAt) {
        this.deletedAt = deletedAt;
    }

    public String getAbtype() {
        return abtype;
    }

    public void setAbtype(String abtype) {
        this.abtype = abtype;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", corpId=").append(corpId);
        sb.append(", externalUserId=").append(externalUserId);
        sb.append(", unionId=").append(unionId);
        sb.append(", externalUserId3rdParty=").append(externalUserId3rdParty);
        sb.append(", type=").append(type);
        sb.append(", name=").append(name);
        sb.append(", avatar=").append(avatar);
        sb.append(", gender=").append(gender);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", groupMsgDisabled=").append(groupMsgDisabled);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", deletedAt=").append(deletedAt);
        sb.append(", abtype=").append(abtype);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}